#pragma once

#include <string> // Para string
#include <vector> // Para vector

class RoomTracker
{
private:
	// Variables
	std::vector<std::string> list; // Lista con las habitaciones visitadas

	// Comprueba si la habitación ya ha sido visitada
	bool hasBeenVisited(std::string name);

public:
	// Constructor
	RoomTracker();

	// Destructor
	~RoomTracker();

	// Añade la habitación a la lista
	bool addRoom(std::string name);
};
